Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionToolBar

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleOption
                  com.trolltech.qt.gui.QStyleOptionToolBar

All Implemented Interfaces:
  QtJambiInterface

    public class QStyleOptionToolBar

extends QStyleOption

The `QStyleOptionToolBar` class is used to describe the parameters for drawing a toolbar.

`QStyleOptionToolBar` contains all the information that `QStyle` functions need to draw `QToolBar`.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

The `QStyleOptionToolBar` class holds the `lineWidth` and the `midLineWidth` for drawing the widget. It also stores information about which area the toolbar should be located in, whether it is movable or not, which position the toolbar line should have (`positionOfLine`), and the toolbar's position within the line (`positionWithinLine`).

In addition, the class provides a couple of enums: The `ToolBarFeature` enum is used to describe whether a toolbar is movable or not, and the `ToolBarPosition` enum is used to describe the position of a toolbar line, as well as the toolbar's position within the line.

For an example demonstrating how style options can be used, see the Styles example.

See Also:
  `QStyleOption`

Nested Class Summary
`static class` | `QStyleOptionToolBar.StyleOptionType` This enum is used to hold information about the type of the style option, and is defined for each `QStyleOption` subclass.
`static class` | `QStyleOptionToolBar.StyleOptionVersion` This enum is used to hold information about the version of the style option, and is defined for each `QStyleOption` subclass.
`static class` | `QStyleOptionToolBar.ToolBarFeature` This enum is used to describe whether a toolbar is movable or not.
`static class` | `QStyleOptionToolBar.ToolBarFeatures` This QFlag class provides flags for the int enum.
`static class` | `QStyleOptionToolBar.ToolBarPosition`

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOption
`QStyleOption.OptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`` | `QStyleOptionToolBar()` Constructs a `QStyleOptionToolBar`, initializing the members variables to their default values.
`protected` | `QStyleOptionToolBar(int version)`
`` | `QStyleOptionToolBar(QStyleOptionToolBar other)` Constructs a copy of the `other` style option.

Method Summary
`QStyleOptionToolBar.ToolBarFeatures` | `features()` This variable holds whether the toolbar is movable or not.
`static QStyleOptionToolBar` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QStyleOptionToolBar instance pointed to by nativePointer
`int` | `lineWidth()` This variable holds the line width for drawing the toolbar.
`int` | `midLineWidth()` This variable holds the mid-line width for drawing the toolbar.
`static QNativePointer` | `nativePointerArray(QStyleOptionToolBar[] array)` This function returns a QNativePointer that is pointing to the specified QStyleOptionToolBar array.
`QStyleOptionToolBar.ToolBarPosition` | `positionOfLine()` This variable holds the position of the toolbar line.
`QStyleOptionToolBar.ToolBarPosition` | `positionWithinLine()` This variable holds the position of the toolbar within a line.
`void` | `setFeatures(QStyleOptionToolBar.ToolBarFeature... features)` This variable holds whether the toolbar is movable or not.
`void` | `setFeatures(QStyleOptionToolBar.ToolBarFeatures features)` This variable holds whether the toolbar is movable or not.
`void` | `setLineWidth(int lineWidth)` This variable holds the line width for drawing the toolbar.
`void` | `setMidLineWidth(int midLineWidth)` This variable holds the mid-line width for drawing the toolbar.
`void` | `setPositionOfLine(QStyleOptionToolBar.ToolBarPosition positionOfLine)` This variable holds the position of the toolbar line.
`void` | `setPositionWithinLine(QStyleOptionToolBar.ToolBarPosition positionWithinLine)` This variable holds the position of the toolbar within a line.
`void` | `setToolBarArea(Qt.ToolBarArea toolBarArea)` This variable holds the location for drawing the toolbar.
`Qt.ToolBarArea` | `toolBarArea()` This variable holds the location for drawing the toolbar.

Methods inherited from class com.trolltech.qt.gui.QStyleOption
`direction, fontMetrics, initFrom, nativePointerArray, palette, rect, setDirection, setFontMetrics, setPalette, setRect, setState, setState, setType, setVersion, state, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleOptionToolBar

    public QStyleOptionToolBar(QStyleOptionToolBar other)

  Constructs a copy of the `other` style option.

### QStyleOptionToolBar

    public QStyleOptionToolBar()

  Constructs a `QStyleOptionToolBar`, initializing the members variables to their default values.

### QStyleOptionToolBar

    protected QStyleOptionToolBar(int version)

Method Detail

### setLineWidth

    public final void setLineWidth(int lineWidth)

  This variable holds the line width for drawing the toolbar.

  The default value is 0.

  See Also:
    `lineWidth`

### lineWidth

    public final int lineWidth()

  This variable holds the line width for drawing the toolbar.

  The default value is 0.

  See Also:
    `setLineWidth`

### setPositionWithinLine

    public final void setPositionWithinLine(QStyleOptionToolBar.ToolBarPosition positionWithinLine)

  This variable holds the position of the toolbar within a line.

  The default value is QStyleOptionToolBar::OnlyOne.

  See Also:
    `positionWithinLine`

### positionWithinLine

    public final QStyleOptionToolBar.ToolBarPosition positionWithinLine()

  This variable holds the position of the toolbar within a line.

  The default value is QStyleOptionToolBar::OnlyOne.

  See Also:
    `setPositionWithinLine`

### setPositionOfLine

    public final void setPositionOfLine(QStyleOptionToolBar.ToolBarPosition positionOfLine)

  This variable holds the position of the toolbar line.

  The default value is QStyleOptionToolBar::OnlyOne.

  See Also:
    `positionOfLine`

### positionOfLine

    public final QStyleOptionToolBar.ToolBarPosition positionOfLine()

  This variable holds the position of the toolbar line.

  The default value is QStyleOptionToolBar::OnlyOne.

  See Also:
    `setPositionOfLine`

### setFeatures

    public final void setFeatures(QStyleOptionToolBar.ToolBarFeature... features)

  This variable holds whether the toolbar is movable or not.

  The default value is None.

  See Also:
    `features`

### setFeatures

    public final void setFeatures(QStyleOptionToolBar.ToolBarFeatures features)

  This variable holds whether the toolbar is movable or not.

  The default value is None.

  See Also:
    `features`

### features

    public final QStyleOptionToolBar.ToolBarFeatures features()

  This variable holds whether the toolbar is movable or not.

  The default value is None.

  See Also:
    `setFeatures`

### setToolBarArea

    public final void setToolBarArea(Qt.ToolBarArea toolBarArea)

  This variable holds the location for drawing the toolbar.

  The default value is Qt::TopToolBarArea.

  See Also:
    `toolBarArea`, `Qt::ToolBarArea`

### toolBarArea

    public final Qt.ToolBarArea toolBarArea()

  This variable holds the location for drawing the toolbar.

  The default value is Qt::TopToolBarArea.

  See Also:
    `setToolBarArea`, `Qt::ToolBarArea`

### setMidLineWidth

    public final void setMidLineWidth(int midLineWidth)

  This variable holds the mid-line width for drawing the toolbar.

  The default value is 0.

  See Also:
    `midLineWidth`

### midLineWidth

    public final int midLineWidth()

  This variable holds the mid-line width for drawing the toolbar.

  The default value is 0.

  See Also:
    `setMidLineWidth`

### fromNativePointer

    public static QStyleOptionToolBar fromNativePointer(QNativePointer nativePointer)

  This function returns the QStyleOptionToolBar instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QStyleOptionToolBar[] array)

  This function returns a QNativePointer that is pointing to the specified QStyleOptionToolBar array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD